Subject: Re: USA Anvils

From: [email-masked]
Date: Sun, 1 Sep 1996 18:19:43 +0000

> Date:          Sat, 31 Aug 1996 16:13:12 -0400 (EDT)
> Reply-to:      [email-masked]
> From:          "David C. Hufford" <[email-masked]>
> To:            [email-masked]
> Subject:       USA Anvils

> I occasionally encounter small anvils with *USA* embossed on the side.  
> Most of these I've seen are about 10-lb size, but recently I came across 
> one of about 50-lb.  Are these *USA* anvils made by any particular 
> foundry?  Does anyone know anything about where they come from?  The 
> ones I've seen are of decent quality; seemly not from china or such.  
> Just curious ...
> 
> D.C. Hufford
> 
> 
> I also have seen these
 the dealer said they were from tiawan
 i was quoted a price of  $ 75 
 hope this helps let me no if u get 1
 thanx